/**
 *
 *   Copyright 2014 sourceforge.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
package org.gwtopenmaps.openlayers.client;

import org.gwtopenmaps.openlayers.client.util.JSObject;

/**
 *
 * @author Erdem Gunay
 *
 */
class IconImpl {

	public static native JSObject create(String url, JSObject size)/*-{
		return new $wnd.OpenLayers.Icon(url, size);
	}-*/;

	public static native JSObject create(String url, JSObject size, JSObject offset)/*-{
		return new $wnd.OpenLayers.Icon(url, size, offset);
	}-*/;

	public static native void setSize(JSObject self, JSObject size)/*-{
		self.setSize(size);
	}-*/;

    public static native void setUrl(JSObject self, String url)/*-{
		self.setUrl(url);
	}-*/;
	public static native void setZIndex(JSObject self, int zIndex)/*-{
        self.imageDiv.childNodes[0].style.zIndex = zIndex;
    }-*/;

    public static native String getZIndex(JSObject self)/*-{
        return self.imageDiv.childNodes[0].style.zIndex;
    }-*/;

}
